<?xml version="1.0" encoding="UTF-8"?>
<sequence xmlns="http://ws.apache.org/ns/synapse" name="singlerefund_r12_alipay_notification_seq" onError="singlerefund_r12_alipay_OnErrorHandler_seq">
    <property name="SLT_INTEGRATION_NAME" value="SingleRefundTransaction - Alipay R12 Interface" scope="default" type="STRING"/>
    <property name="SLT_INTEGRATION_STEP" value="singlerefund_r12_alipay_notification_seq" scope="default" type="STRING"/>
    <property name="SLT_CORRELATION_ID" value="null" scope="default" type="STRING"/>
    <payloadFactory media-type="xml">
        <format>
            <xs:_post_getdistinctbatchnowm xmlns:xs="http://ws.wso2.org/dataservice"/>
        </format>
        <args/>
    </payloadFactory>
    <call>
        <endpoint key="gov:/motorola/Payments/Alipay/Endpoints/SingleRefundR12Alipay_DSSOperations"/>
    </call>
    <iterate xmlns:ns="http://org.apache.synapse/xsd" id="SingleRefundsIterator" expression="//*[name()='Entries']/*[name()='Entry']" sequential="true">
        <target>
            <sequence>
                <property name="batch_no_wm" expression="//*[name()='BATCH_NO_WM']" scope="default" type="STRING"/>
                <property name="SLT_CORRELATION_ID" expression="get-property(batch_no_wm)" scope="default" type="STRING"/>
                <payloadFactory media-type="xml">
                    <format>
                        <xs:_post_updatebacthidstatus xmlns:xs="http://ws.wso2.org/dataservice">
                            <xs:wm_process_flag>P</xs:wm_process_flag>
                            <xs:wm_error_message/>
                            <xs:batch_no/>
                            <xs:batch_no_wm>$1</xs:batch_no_wm>
                        </xs:_post_updatebacthidstatus>
                    </format>
                    <args>
                        <arg evaluator="xml" expression="get-property('batch_no_wm')"/>
                    </args>
                </payloadFactory>
                <call>
                    <endpoint key="gov:/motorola/Payments/Alipay/Endpoints/SingleRefundR12Alipay_DSSOperations"/>
                </call>
                <sequence key="singlerefund_r12_alipay_getRefundsData_seq"/>
                <sequence key="singlerefund_r12_alipay_createParams_seq"/>
                <sequence key="singlerefund_r12_alipay_getSign_seq"/>
                <sequence key="singlerefund_r12_alipay_prepareUpdateStatus_seq"/>
            </sequence>
        </target>
    </iterate>
</sequence>
